## mate-terminal 1.18.1

=== debian/changelog ===
mate-terminal (1.18.1-0ubuntu1) artful; urgency=medium

  * New upstream maintenance release.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Wed, 10 May 2017 04:37:59 +0100

=== debian/control ===
Source: mate-terminal
Section: x11
Priority: optional
Maintainer: MATE Packaging Team <pkg-mate-team@lists.alioth.debian.org>
Uploaders: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>,
           Stefano Karapetsas <stefano@karapetsas.com>,
           Mike Gabriel <sunweaver@debian.org>,
           Wences Arana <aranax@debian.org.gt>,
           Vangelis Mouhtsis <vangelis@gnugr.org>,
           Martin Wimpress <code@flexion.org>,
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1.1),
               intltool,
               libdconf-dev,
               libglib2.0-dev,
               libgtk-3-dev (>= 3.14),
               libsm-dev,
               libvte-2.91-dev (>= 0.38),
               libx11-dev,
               mate-common (>= 1.18),
               yelp-tools,
Homepage: http://www.mate-desktop.org
Vcs-Browser: https://anonscm.debian.org/git/pkg-mate/mate-terminal.git
Vcs-Git: https://anonscm.debian.org/git/pkg-mate/mate-terminal.git

Package: mate-terminal
Multi-Arch: foreign
Architecture: any
Depends: gsettings-desktop-schemas,
         mate-desktop-common,
         mate-terminal-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Provides: x-terminal-emulator,
Description: MATE terminal emulator application
 MATE Terminal is a terminal emulation application that you can use to
 perform the following actions:
  - Access a UNIX shell in the MATE environment.
  - Run any application that is designed to run on VT102, VT220, and xterm
 terminals.
 .
 MATE Terminal features the ability to use multiple terminals in a single
 window (tabs) and profiles support.

Package: mate-terminal-common
Architecture: all
Depends: ${misc:Depends},
Breaks: mate-terminal (<< 1.1.0-2),
Replaces: mate-terminal (<< 1.1.0-2),
Description: MATE terminal emulator application (common files)
 MATE Terminal is a terminal emulation application that you can use to
 perform the following actions:
  - Access a UNIX shell in the MATE environment.
  - Run any application that is designed to run on VT102, VT220, and xterm
 terminals.
 .
 MATE Terminal features the ability to use multiple terminals in a single
 window (tabs) and profiles support.
 .
 This package contains the architecture independent files.

=== debian/rules ===
#!/usr/bin/make -f

DHFLAGS=--parallel

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ $(DHFLAGS)

override_dh_install:
	dh_install --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_configure:
	# upstream tarball is without configure. autogen.sh will create it
	NOCONFIGURE=1 ./autogen.sh
	dh_auto_configure $(DHFLAGS) -- \
		--disable-silent-rules \
		--disable-static

override_dh_strip:
	dh_strip --dbgsym-migration='mate-terminal-dbg (<< 1.14.0-2~)'

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## mate-terminal 1.18.2

=== debian/changelog ===
mate-terminal (1.18.2-1+betsy) unstable; urgency=medium

  * New upstream bugfix release

 -- Vlad Orlov <monsta@inbox.ru>  Wed, 08 Nov 2017 16:53:23 +0300

mate-terminal (1.18.1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Vlad Orlov <monsta@inbox.ru>  Sat, 06 May 2017 12:15:40 +0300

mate-terminal (1.18.0-1) unstable; urgency=medium

  * New upstream release

 -- Vlad Orlov <monsta@inbox.ru>  Wed, 15 Mar 2017 15:48:05 +0300

mate-terminal (1.17.0-1) unstable; urgency=medium

  * New upstream development release

 -- Vlad Orlov <monsta@inbox.ru>  Sat, 10 Dec 2016 23:21:29 +0300

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: mate-terminal
 Section: x11
 Priority: optional
-Maintainer: MATE Packaging Team <pkg-mate-team@lists.alioth.debian.org>
+Maintainer: MATE Packaging Team <mate-dev@ml.mate-desktop.org>
 Uploaders: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>,
            Stefano Karapetsas <stefano@karapetsas.com>,
            Mike Gabriel <sunweaver@debian.org>,
            Wences Arana <aranax@debian.org.gt>,
            Vangelis Mouhtsis <vangelis@gnugr.org>,
            Martin Wimpress <code@flexion.org>,
-Standards-Version: 3.9.8
+Standards-Version: 3.9.7
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1.1),
                intltool,
@@ -21,8 +21,8 @@
                mate-common (>= 1.18),
                yelp-tools,
 Homepage: http://www.mate-desktop.org
-Vcs-Browser: https://anonscm.debian.org/git/pkg-mate/mate-terminal.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-mate/mate-terminal.git
+Vcs-Browser: https://github.com/mate-desktop/debian-packages
+Vcs-Git: git://github.com/mate-desktop/debian-packages.git
 
 Package: mate-terminal
 Multi-Arch: foreign
@@ -60,3 +60,24 @@
  .
  This package contains the architecture independent files.
 
+Package: mate-terminal-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: mate-terminal (= ${binary:Version}),
+         ${misc:Depends},
+Description: MATE terminal emulator application (debugging symbols)
+ MATE Terminal is a terminal emulation application that you can use to
+ perform the following actions:
+  - Access a UNIX shell in the MATE environment.
+  - Run any application that is designed to run on VT102, VT220, and xterm
+ terminals.
+ .
+ MATE Terminal features the ability to use multiple terminals in a single
+ window (tabs) and profiles support.
+ .
+ This package contains debugging symbols for mate-terminal. It is
+ provided to help debugging problems.
+ .
+ The debugging symbols are installed in /usr/lib/debug and will
+ automatically be used by gdb.

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 		--disable-static
 
 override_dh_strip:
-	dh_strip --dbgsym-migration='mate-terminal-dbg (<< 1.14.0-2~)'
+	dh_strip --dbg-package=mate-terminal-dbg
 
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..

## mate-terminal 1.19.1

=== debian/changelog ===
mate-terminal (1.19.1-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Wed, 24 Jan 2018 07:06:08 +0000

mate-terminal (1.18.2-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.1.1. No changes needed.
  * debian/watch:
    + Use secure URI.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Nov 2017 11:53:22 +0100

mate-terminal (1.18.1-2) unstable; urgency=medium

  * As-is re-upload to re-trigger a full rebuild on all architectures.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 23 Aug 2017 18:40:53 +0200

=== debian/watch ===
version=3
https://git.mate-desktop.org/mate-terminal/ \
    snapshot/mate-terminal-(\d\.(?:[0-9]+|)[246890]\.\d)\.tar\.xz

## mate-terminal 1.20.0

=== debian/changelog ===
mate-terminal (1.20.0-4) unstable; urgency=medium

  * debian/patches:
    + Prepend patches from series file to ubuntu.series file.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 18 Apr 2018 14:44:57 +0200

mate-terminal (1.20.0-3) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/patches:
    + Add 2001_fix-find-next-previous.patch. Fix find next/previous shortcuts which are
      broken in Ubuntu due to VTE patch revert-pcre2.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 18 Apr 2018 10:50:09 +0200

mate-terminal (1.20.0-2) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/copyright:
    + Use secure URI for copyright format.

  [ Martin Wimpress ]
  * debian/patches:
    + Add 0001_fix_setting_transparency.patch. Fix setting transparency
      when used in GNOME3.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 05 Apr 2018 22:50:11 +0200

mate-terminal (1.20.0-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/copyright (already in 1.19.1-0ubuntu1):
    + Update copyright attributions.

  [ Vangelis Mouhtsis ]
  * debian/control (already in 1.19.1-0ubuntu1):
    + Temporarily have pkg-mate-team ML under Uploaders:.
    + Update Maintainer: field to debian-mate ML on lists.debian.org.
    + Rename pretty name of our team -> Debian+Ubuntu MATE Packaging Team.
    + Bump Standards-Version: to 4.1.3. No changes needed.

  [ Mike Gabriel ]
  * debian/{control,compat}: Bump DH version level to 11.
  * debian/{rules,mate-terminal-common.install}:
    + Move appstream metainfo to correct location.
  * debian/control:
    + Update versioned B-Ds (GTK3, VTE, GLib).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 14 Feb 2018 11:24:53 +0100

mate-terminal (1.20.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Wed, 07 Feb 2018 14:03:57 +0000

=== debian/control ===
Source: mate-terminal
Section: x11
Priority: optional
Maintainer: Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
Uploaders: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>,
           Stefano Karapetsas <stefano@karapetsas.com>,
           Mike Gabriel <sunweaver@debian.org>,
           Wences Arana <aranax@debian.org.gt>,
           Vangelis Mouhtsis <vangelis@gnugr.org>,
           Martin Wimpress <code@flexion.org>,
           MATE Packaging Team <pkg-mate-team@lists.alioth.debian.org>,
Standards-Version: 4.1.3
Build-Depends: debhelper (>= 11~),
               dpkg-dev (>= 1.16.1.1),
               intltool,
               libdconf-dev,
               libglib2.0-dev (>= 2.50),
               libgtk-3-dev (>= 3.22),
               libsm-dev,
               libvte-2.91-dev (>= 0.46),
               libx11-dev,
               mate-common (>= 1.18),
               yelp-tools,
Homepage: http://www.mate-desktop.org
Vcs-Browser: https://anonscm.debian.org/git/pkg-mate/mate-terminal.git
Vcs-Git: https://anonscm.debian.org/git/pkg-mate/mate-terminal.git

Package: mate-terminal
Multi-Arch: foreign
Architecture: any
Depends: gsettings-desktop-schemas,
         mate-desktop-common,
         mate-terminal-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Provides: x-terminal-emulator,
Description: MATE terminal emulator application
 MATE Terminal is a terminal emulation application that you can use to
 perform the following actions:
  - Access a UNIX shell in the MATE environment.
  - Run any application that is designed to run on VT102, VT220, and xterm
 terminals.
 .
 MATE Terminal features the ability to use multiple terminals in a single
 window (tabs) and profiles support.

Package: mate-terminal-common
Architecture: all
Depends: ${misc:Depends},
Breaks: mate-terminal (<< 1.1.0-2),
Replaces: mate-terminal (<< 1.1.0-2),
Description: MATE terminal emulator application (common files)
 MATE Terminal is a terminal emulation application that you can use to
 perform the following actions:
  - Access a UNIX shell in the MATE environment.
  - Run any application that is designed to run on VT102, VT220, and xterm
 terminals.
 .
 MATE Terminal features the ability to use multiple terminals in a single
 window (tabs) and profiles support.
 .
 This package contains the architecture independent files.

=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,15 @@
 include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@ $(DHFLAGS)
+	dh $@ $(DHFLAGS) --without autoreconf
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_install:
-	dh_install --fail-missing
+	mkdir -p debian/tmp/usr/share/metainfo/
+	mv debian/tmp/usr/share/appdata/mate-terminal.appdata.xml debian/tmp/usr/share/metainfo/
+	dh_install
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
@@ -23,7 +28,7 @@
 		--disable-static
 
 override_dh_strip:
-	dh_strip --dbg-package=mate-terminal-dbg
+	dh_strip --dbgsym-migration='mate-terminal-dbg (<< 1.14.0-2~)'
 
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..

## mate-terminal 1.20.0-4linuxmint1

=== debian/changelog ===
mate-terminal (1.20.0-4linuxmint1) tara; urgency=medium

  * Change default settings

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 15 May 2018 16:38:13 +0100

## mate-terminal 1.20.1

=== debian/changelog ===
mate-terminal (1.20.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Update Vcs-*: fields. Package has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.1.4. No changes needed.
    + Drop pkg-mate-team Alioth mailing list from Uploaders: field.
  * debian/copyright:
    + Make Upstream-Name: field's value more human readable.
    + Update Upstream-Contact: field.
    + Update Source: field. Use secure URLs.
    + Update copyright attributions.
  * debian/upstream/metadata:
    + Add file. Be compliant with DEP-12 proposal.
    + Use Martin's address as Contact: address.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 08 Jul 2018 02:24:38 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,7 @@
            Wences Arana <aranax@debian.org.gt>,
            Vangelis Mouhtsis <vangelis@gnugr.org>,
            Martin Wimpress <code@flexion.org>,
-           MATE Packaging Team <pkg-mate-team@lists.alioth.debian.org>,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Build-Depends: debhelper (>= 11~),
                dpkg-dev (>= 1.16.1.1),
                intltool,
@@ -22,8 +21,8 @@
                mate-common (>= 1.18),
                yelp-tools,
 Homepage: http://www.mate-desktop.org
-Vcs-Browser: https://anonscm.debian.org/git/pkg-mate/mate-terminal.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-mate/mate-terminal.git
+Vcs-Browser: https://salsa.debian.org/debian-mate-team/mate-terminal
+Vcs-Git: https://salsa.debian.org/debian-mate-team/mate-terminal.git
 
 Package: mate-terminal
 Multi-Arch: foreign

## mate-terminal 1.20.2

=== debian/changelog ===
mate-terminal (1.20.2-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 11 Feb 2019 11:35:06 +0100

mate-terminal (1.20.2-2) unstable; urgency=medium

  [ Vangelis Mouhtsis ]
  * debian/patches:
    + Drop problematic 0001_fix_setting_transparency.patch, suggested by
      upstream (Closes: #921428).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 06 Feb 2019 13:22:58 +0100

mate-terminal (1.20.2-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 02 Feb 2019 02:48:49 +0100

mate-terminal (1.20.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop Ubuntu-specific patch 2001_fix-find-next-previous.patch (and
      ubuntu.series file). (Closes: #915918).
    + Enable 256 colors support in terminals. (Closes: #800832)."
  * debian/control:
    + Bump Standards-Version: to 4.3.0. No changes needed.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 09 Jan 2019 12:30:47 +0100

mate-terminal (1.20.1-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 23 Jul 2018 10:54:21 +0200

mate-terminal (1.18.2-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 04 Jan 2018 23:19:13 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
            Wences Arana <aranax@debian.org.gt>,
            Vangelis Mouhtsis <vangelis@gnugr.org>,
            Martin Wimpress <code@flexion.org>,
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Build-Depends: debhelper (>= 11~),
                dpkg-dev (>= 1.16.1.1),
                intltool,

## mate-terminal 1.22.0

=== debian/changelog ===
mate-terminal (1.22.0-1+tina) unstable; urgency=medium

  * New upstream release

 -- Vlad Orlov <monsta@inbox.ru>  Tue, 05 Mar 2019 15:06:48 +0300

mate-terminal (1.21.1-1) unstable; urgency=medium

  * New upstream development release

 -- Vlad Orlov <monsta@inbox.ru>  Wed, 13 Feb 2019 15:30:02 +0300

mate-terminal (1.21.0-1) unstable; urgency=medium

  * New upstream development release

 -- Vlad Orlov <monsta@inbox.ru>  Tue, 09 Oct 2018 17:56:41 +0300

mate-terminal (1.19.0-1) unstable; urgency=medium

  * New upstream development release

 -- Vlad Orlov <monsta@inbox.ru>  Wed, 24 Jan 2018 11:47:32 +0300

## mate-terminal 1.22.0-2linuxmint1+tina

=== debian/changelog ===
mate-terminal (1.22.0-2linuxmint1+tina) tina; urgency=medium

  * Change default settings
  * Darken terminal background

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 11 Jul 2019 17:54:20 +0200

mate-terminal (1.22.0-1) unstable; urgency=medium

  * New upstream release

 -- Vlad Orlov <monsta@inbox.ru>  Tue, 05 Mar 2019 15:06:48 +0300

=== debian/control ===
--- 
+++ 
@@ -8,21 +8,21 @@
            Wences Arana <aranax@debian.org.gt>,
            Vangelis Mouhtsis <vangelis@gnugr.org>,
            Martin Wimpress <code@flexion.org>,
-Standards-Version: 4.3.0
-Build-Depends: debhelper (>= 11~),
+Standards-Version: 3.9.7
+Build-Depends: debhelper (>= 10),
                dpkg-dev (>= 1.16.1.1),
                intltool,
                libdconf-dev,
-               libglib2.0-dev (>= 2.50),
+               libglib2.0-dev,
                libgtk-3-dev (>= 3.22),
                libsm-dev,
-               libvte-2.91-dev (>= 0.46),
+               libvte-2.91-dev (>= 0.48),
                libx11-dev,
-               mate-common (>= 1.18),
+               mate-common (>= 1.20),
                yelp-tools,
 Homepage: http://www.mate-desktop.org
-Vcs-Browser: https://salsa.debian.org/debian-mate-team/mate-terminal
-Vcs-Git: https://salsa.debian.org/debian-mate-team/mate-terminal.git
+Vcs-Browser: https://github.com/mate-desktop/debian-packages
+Vcs-Git: git://github.com/mate-desktop/debian-packages.git
 
 Package: mate-terminal
 Multi-Arch: foreign

=== debian/rules ===
#!/usr/bin/make -f

DHFLAGS=--parallel

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ $(DHFLAGS)

override_dh_install:
	dh_install --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_configure:
	# upstream tarball is without configure. autogen.sh will create it
	NOCONFIGURE=1 ./autogen.sh
	dh_auto_configure $(DHFLAGS) -- \
		--disable-silent-rules \
		--disable-static

override_dh_strip:
	dh_strip --dbgsym-migration='mate-terminal-dbg (<< 1.20.0-1~)'

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=3
https://git.mate-desktop.org/mate-terminal/ \
    snapshot/mate-terminal-(\d\.(?:[0-9]+|)[0-9]\.\d)\.tar\.xz

## mate-terminal 1.22.1

=== debian/changelog ===
mate-terminal (1.22.1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/control:
    + Updated for MATE Desktop 1.22
    + Add B-D: libxml2-utils.
  * debian/mate-terminal-common.install:
    + Do not install /usr/share/mate-terminal, mate-terminal now uses
      gresources.
  * debian/copyright:
    + Update copyright attributions.
  * debian/rules:
    + Updated for MATE Desktop 1.22
  * debian/mate-terminal-common.install:
    + Correct order.
  * debian/patches:
    + Drop 1002_xterm-256color.patch. Applied upstream.

  [ Mike Gabriel ]
  * debian/{compat,control}:
    + Use debhelper-compat notation. Bump to DH compat level version 12.
  * debian/control:
    + Bump Standards-Version: to 4.4.0. No changes needed.
    + Drop empty line at EOF.
  * debian/rules:
    + Drop dbgsym-migration dh_strip override.
  * debian/mate-terminal.postinst:
    + Drop direct upgrade support from mate-terminal 1.8.1+dfsg1-3.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 31 Jul 2019 00:09:16 +0200

=== debian/control ===
--- 
+++ 
@@ -8,21 +8,22 @@
            Wences Arana <aranax@debian.org.gt>,
            Vangelis Mouhtsis <vangelis@gnugr.org>,
            Martin Wimpress <code@flexion.org>,
-Standards-Version: 3.9.7
-Build-Depends: debhelper (>= 10),
+Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (=12),
                dpkg-dev (>= 1.16.1.1),
                intltool,
                libdconf-dev,
-               libglib2.0-dev,
+               libglib2.0-dev (>= 2.50),
                libgtk-3-dev (>= 3.22),
                libsm-dev,
                libvte-2.91-dev (>= 0.48),
                libx11-dev,
+               libxml2-utils,
                mate-common (>= 1.20),
                yelp-tools,
 Homepage: http://www.mate-desktop.org
-Vcs-Browser: https://github.com/mate-desktop/debian-packages
-Vcs-Git: git://github.com/mate-desktop/debian-packages.git
+Vcs-Browser: https://salsa.debian.org/debian-mate-team/mate-terminal
+Vcs-Git: https://salsa.debian.org/debian-mate-team/mate-terminal.git
 
 Package: mate-terminal
 Multi-Arch: foreign
@@ -59,4 +60,3 @@
  window (tabs) and profiles support.
  .
  This package contains the architecture independent files.
-

=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,13 @@
 include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@ $(DHFLAGS)
+	dh $@ $(DHFLAGS) --without autoreconf
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_install:
-	dh_install --fail-missing
+	dh_install
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
@@ -22,8 +25,5 @@
 		--disable-silent-rules \
 		--disable-static
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='mate-terminal-dbg (<< 1.20.0-1~)'
-
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..

## mate-terminal 1.24.0

=== debian/changelog ===
mate-terminal (1.24.0-2ubuntu1) focal; urgency=medium

  * debian/patches:
    + Add 0002_fix-searching.patch. Fix searching in terminal window
      (LP: #1870906)

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Mon, 06 Apr 2020 08:36:12 +0100

mate-terminal (1.24.0-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001_fix-url-highlighting.patch. Fix URL highlighting broken
      since vte 0.60. (Closes: #954024). Thanks to Norbert Preining for
      providing the patch.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 24 Mar 2020 10:58:22 +0100

mate-terminal (1.24.0-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/control:
    + Add Rules-Requires-Root: field and set it to no.
    + Bump Standards-Version: to 4.5.0. No changes needed.
  * debian/upstream/metadata:
    + Drop obsolete fields Contact: and Name:.
    + Append .git suffix to URLs in Repository: field.

  [ Martin Wimpress ]
  * New upstream release.
  * debian/patches:
    + Drop 1001_add-keywords-to-desktop-files.patch. Applied upstream.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 14 Feb 2020 16:50:51 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
            Wences Arana <aranax@debian.org.gt>,
            Vangelis Mouhtsis <vangelis@gnugr.org>,
            Martin Wimpress <code@flexion.org>,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (=12),
                dpkg-dev (>= 1.16.1.1),
                intltool,

=== debian/watch ===
version=3
https://git.mate-desktop.org/mate-terminal/ \
    snapshot/mate-terminal-(\d\.(?:[0-9]+|)[24680]\.\d)\.tar\.xz

## mate-terminal 1.24.0-linuxmint1

=== debian/changelog ===
mate-terminal (1.24.0-linuxmint1) ulyana; urgency=medium

  * Change default settings

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 14 May 2020 09:49:12 +0100

## mate-terminal 1.24.1

=== debian/changelog ===
mate-terminal (1.24.1-deepin1) unstable; urgency=medium

  * Rebuild

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 14 Nov 2022 17:47:40 +0800

mate-terminal (1.24.1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/patches:
    + Drop 0002_fix-searching.patch. Applied upstream.
    + Drop 0001_fix-url-highlighting.patch. Applied upstream.

  [ Mike Gabriel ]
  * debian/control:
    + Bump DH compat level to version 13.
  * debian/copyright:
    + Update copyright attributions.
  * debian/mate-terminal.postinst:
    + Use higher priority for mate-terminal.wrapper. (Closes: #931045).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 21 Aug 2020 21:26:02 +0200

mate-terminal (1.24.0-3) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/patches:
    + Add 0002_fix-searching.patch. Fix searching in terminal window (LP:
      #1870906)

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 16 Apr 2020 09:59:11 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
            Martin Wimpress <code@flexion.org>,
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (=12),
+Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1.1),
                intltool,
                libdconf-dev,

## mate-terminal 1.26.0

=== debian/changelog ===
mate-terminal (1.26.0-2) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/patches:
    + Add 1002_fix_context_menu_font.patch (LP: #1955505, closes: #998856,
      #1001793).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 25 Apr 2023 16:19:04 +0200

mate-terminal (1.26.0-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.

  [ Mike Gabriel ]
  * debian/watch:
    + Use format version 4.
  * debian/control:
    + Add B-D: mate-submodules-source (>= 0.0~git20210623.f3091f9).
    + Bump Standards-Version: to 4.6.0. No changes needed.
  * debian/rules:
    + Unpack libegg (mate-submodules) at the beginning of dh_auto_configure.
  * debian/copyright:
    + Update copyright attributions.
  * debian/patches:
    + Add 1001_desktop-file-lacks-keywords-entry.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 13 Dec 2021 01:28:05 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
            Wences Arana <aranax@debian.org.gt>,
            Vangelis Mouhtsis <vangelis@gnugr.org>,
            Martin Wimpress <code@flexion.org>,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1.1),
@@ -21,6 +21,7 @@
                libx11-dev,
                libxml2-utils,
                mate-common (>= 1.20),
+               mate-submodules-source (>= 0.0~git20210623.f3091f9),
                yelp-tools,
 Homepage: http://www.mate-desktop.org
 Vcs-Browser: https://salsa.debian.org/debian-mate-team/mate-terminal

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,8 @@
 	dh_installchangelogs NEWS
 
 override_dh_auto_configure:
+	# we need libegg from mate-submodules
+	cd src/mate-submodules/; tar xvJf /usr/src/mate-submodules-source.tar.xz
 	# upstream tarball is without configure. autogen.sh will create it
 	NOCONFIGURE=1 ./autogen.sh
 	dh_auto_configure $(DHFLAGS) -- \

## mate-terminal 1.26.0+mint1+vanessa

=== debian/changelog ===
mate-terminal (1.26.0+mint1+vanessa) vanessa; urgency=medium

  * Bump version

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 29 Jun 2022 14:19:50 +0200

mate-terminal (1.26.0-linuxmint1) una; urgency=medium

  * Update to 1.26.0-0ubuntu1~focal2.0
  * Change default settings

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 26 Nov 2021 16:09:44 +0000

## mate-terminal 1.26.1

=== meson_options.txt ===
option('skey',
  type: 'boolean', value: true,
  description: 'whether to enable s/key support')

option('sm',
  type: 'boolean', value: true,
  description: 'session management support, for embedded/size-sensitive custom non-MATE builds')

=== debian/changelog ===
mate-terminal (1.26.1-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:17:18 +0000

mate-terminal (1.26.1-1build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:12:42 +0000

mate-terminal (1.26.1-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:42:47 +0000

mate-terminal (1.26.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 1002_fix_context_menu_font.patch. Applied upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 15 Jun 2023 16:42:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mate-terminal
 Section: x11
 Priority: optional
-Maintainer: Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
 Uploaders: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>,
            Stefano Karapetsas <stefano@karapetsas.com>,
            Mike Gabriel <sunweaver@debian.org>,

=== debian/watch ===
version=4
https://git.mate-desktop.org/mate-terminal/ \
    snapshot/mate-terminal-(\d\.(?:[0-9]+|)[24680]\.\d)\.tar\.xz

## mate-terminal 1.26.1+mint1

=== debian/changelog ===
mate-terminal (1.26.1+mint1) wilma; urgency=medium

  * Change default settings

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 25 Jun 2024 13:24:00 +0100
